Subject: Re: bug#73664: [PATCH] gnu: libtorrent-rasterbar: Work around hang in test_ssl.

From: Tomas Volf <[email-masked]>
Date: Sat, 01 Feb 2025 12:10:03 +0100

Hi,

Maxim Cournoyer <[email-masked]> writes:

> reopen 73664
> retitle 73664 libtorrent-rasterbar: non-deterministic failures in test_ssl
> quit
>
> Hi Tomas,
>
> Tomas Volf <[email-masked]> writes:
>
>> With the release of 2.0.11, the SSL certificates used for tests are valid for
>> long enough time (~end of year 2297) to no longer require faketime.  With the
>> removal of faketime, the explicit timeout is also no longer required, since it
>> does not hang anymore.
>>
>> This gives us back the validation that SSL works.
>
> It builds for me locally, but the CI encountered problems:
>
> https://ci.guix.gnu.org/build/8981901/details
>
> I'm not sure there seems to be a substitute available for it, but this
> is worrying.  I think I'll revert, or leave it disabled with a note of
> potential non-determistic failures with it.

Notice the build failure is for [email-masked] (the
libtorrent-rasterbar-1.2 variable).  My patch updated
libtorrent-rasterbar@2 to 2.0.11 (the libtorrent-rasterbar variable).

So this is my fault, I did not realize that libtorrent-rasterbar-1.2
inherits from libtorrent-rasterbar, so the change in check phase will
affect both.  Sorry about that.

Luckily there is a new release (1.2.20) which seems to contain the
extension of certificate expiry.  After breakfast I will do the update,
test it and send a patch here.

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.